Skip to main content
GET
/
v1
/
agents
/
{instance_id}
Openclaw Get
curl --request GET \
  --url https://api.deepinfra.com/v1/agents/{instance_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "start_ts": 123,
  "state_ts": 123,
  "stop_ts": 123,
  "price_per_hour": 123,
  "region": "<string>",
  "last_backup_ts": 123,
  "ssh_port": 123,
  "fail_reason": "<string>",
  "public_ip": "<string>",
  "version": "<string>",
  "agent_type": "<string>",
  "ssh_user": "<string>",
  "plan_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Path Parameters

instance_id
string
required

Response

Successful Response

id
string
required
name
string
required
state
enum<string>
required
Available options:
creating,
starting,
running,
stopping,
stopped,
failed,
deleted
start_ts
integer
required
state_ts
integer
required
stop_ts
integer | null
required
price_per_hour
number
required
region
string
required
last_backup_ts
integer | null
required
ssh_port
integer
required
fail_reason
string | null
required
public_ip
string | null
required
version
string | null
required
agent_type
string
required
ssh_user
string
required

POSIX user the agent runs as inside the VM; also the SSH login user.

plan_id
string
required